package com.muyu.car.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.car.domain.CarCompany;
import com.muyu.car.domain.SysCar;
import com.muyu.car.domain.dto.CarDTO;
import com.muyu.car.domain.vo.CarVO;

import java.util.List;

/**
 * @author  zmw
 * @description: 配置plus业务层
 * @Date 2023-11-13 上午 10:06
 */
public interface SysCarService extends IService<CarVO> {
    /**
     * 车辆列表
     * @param carVO
     * @return
     */
    List<CarVO> carList(CarVO carVO);

    /**
     * 车辆添加
     * @param carVO
     */
    void insertCar(CarVO carVO);

    /**
     * 车辆删除
     * @param ids
     */
    void deleteCar(List<Long> ids);

//    /**
//     * 车辆修改
//     * @param carVO
//     */
//    void updataCar(CarVO carVO);

    /**
     * 车辆列表2
     * @param carDTO
     * @return
     */
    List<CarVO> CarListShow(CarDTO carDTO);

    /**
     * 通过id查询
     * @param carId
     * @return
     */
    List<CarVO> CarListShowByCarId(Long carId);
}
